<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>EclipseSourceDirectory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EclipseSourceDirectory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html" target="_top">Frames</a></li>
<li><a href="EclipseSourceDirectory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model.eclipse</div>
<h2 title="Interface EclipseSourceDirectory" class="title">Interface EclipseSourceDirectory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a>, <a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model">SourceDirectory</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">EclipseSourceDirectory</span>
extends <a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model">SourceDirectory</a>, <a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a></pre>
<div class="block">A source directory in an Eclipse project.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/ClasspathAttribute.html" title="interface in org.gradle.tooling.model.eclipse">ClasspathAttribute</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html#getClasspathAttributes()">getClasspathAttributes</a></strong>()</code>
<div class="block">Returns the classpath attributes associated with this classpath entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html#getExcludes()">getExcludes</a></strong>()</code>
<div class="block">Returns the exclude patterns for this source directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html#getIncludes()">getIncludes</a></strong>()</code>
<div class="block">Returns the include patterns for this source directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html#getOutput()">getOutput</a></strong>()</code>
<div class="block">Returns the output location of this source directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html#getPath()">getPath</a></strong>()</code>
<div class="block">Returns the relative path for this source directory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.SourceDirectory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model">SourceDirectory</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/SourceDirectory.html#getDirectory()">getDirectory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.eclipse.EclipseClasspathEntry">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.eclipse.<a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a></h3>
<code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html#getAccessRules()">getAccessRules</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath()</pre>
<div class="block">Returns the relative path for this source directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path for this source directory. Does not return null.</dd></dl>
</li>
</ul>
<a name="getIncludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludes</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludes()
                         throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the include patterns for this source directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The list of patterns to include. Does not return null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
<a name="getExcludes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludes</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludes()
                         throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the exclude patterns for this source directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The list of patterns to exclude. Does not return null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
<a name="getOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutput</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOutput()
                 throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the output location of this source directory. If <code>null</code>, then the compiled classes are placed in the project's default output location.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output location of this source directory.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
<a name="getClasspathAttributes()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getClasspathAttributes</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../../org/gradle/tooling/model/eclipse/ClasspathAttribute.html" title="interface in org.gradle.tooling.model.eclipse">ClasspathAttribute</a>&gt;&nbsp;getClasspathAttributes()
                                                                     throws <a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></pre>
<div class="block">Returns the classpath attributes associated with this classpath entry.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html#getClasspathAttributes()">getClasspathAttributes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse">EclipseClasspathEntry</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The classpath attributes.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../../org/gradle/tooling/model/UnsupportedMethodException.html" title="class in org.gradle.tooling.model">UnsupportedMethodException</a></code> - For Gradle versions older than 3.0, where this method is not supported.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/eclipse/EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/eclipse/EclipseSourceDirectory.html" target="_top">Frames</a></li>
<li><a href="EclipseSourceDirectory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
